ZITADEL Docs
APIsCore ResourcesV2Application

List Applications

Returns a list of applications matching the input parameters. The results can be filtered by project, state, type and name. It can be sorted by id, name, creation date, change date or state.

Required permissions:

  • project.app.read
POST
/zitadel.application.v2.ApplicationService/ListApplications

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/zitadel.application.v2.ApplicationService/ListApplications" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "applications": [
    {
      "applicationId": "string",
      "creationDate": "2023-01-15T01:30:15.01Z",
      "changeDate": "2023-01-15T01:30:15.01Z",
      "state": "APPLICATION_STATE_UNSPECIFIED",
      "name": "string",
      "projectId": "string",
      "apiConfiguration": {
        "clientId": "string",
        "authMethodType": "API_AUTH_METHOD_TYPE_BASIC"
      }
    }
  ],
  "pagination": {
    "totalResult": 0,
    "appliedLimit": 0
  }
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}

Was this page helpful?